PHPUNIT(1)

NAME
PHPUnit - The PHP Unit Testing framework.

SYNOPSIS
phpunit [switches] UnitTest [UnitTest.php]

DESCRIPTION
PHPUnit 3.7.28 by Sebastian Bergmann.

    phpunit [switches] <directory>

--log-junit <file>
    Log test execution in JUnit XML format to file.

--log-tap <file>
    Log test execution in TAP format to file.

--log-json <file>
    Log test execution in JSON format.

--coverage-clover <file>
    Generate code coverage report in Clover XML format.

--coverage-html <dir>
    Generate code coverage report in HTML format.

--coverage-php <file>
    Serialize PHP_CodeCoverage object to file.

--coverage-text=<file>
    Generate code coverage report in text format. Default to writing to the standard output.

--testdox-html <file>
    Write agile documentation in HTML format to file.

--testdox-text <file>
    Write agile documentation in Text format to file.

--filter <pattern>
    Filter which tests to run.

--testsuite <pattern>
    Filter which testsuite to run.

--group ...
    Only runs tests from the specified group(s).

--exclude-group ...
    Exclude tests from the specified group(s).

--list-groups
    List available test groups.

--test-suffix ...
    Only search for test in files with specified suffix(es). Default: Test.php,.phpt

--loader <loader>
    TestSuiteLoader implementation to use.

--printer <printer>
    TestSuiteListener implementation to use.

--repeat <times>
    Runs the test(s) repeatedly.

--tap
    Report test execution progress in TAP format.

--testdox
    Report test execution progress in TestDox format.

--colors
    Use colors in output.

--stderr
    Write to STDERR instead of STDOUT.

--stop-on-error
    Stop execution upon first error.

--stop-on-failure
    Stop execution upon first error or failure.

--stop-on-skipped
    Stop execution upon first skipped test.

--stop-on-incomplete
    Stop execution upon first incomplete test.

--strict
    Run tests in strict mode.

-v|--verbose
    Output more verbose information.

--debug
    Display debugging information during test execution.

--process-isolation
    Run each test in a separate PHP process.

--no-globals-backup
    Do not backup and restore $GLOBALS for each test.

--static-backup
    Backup and restore static attributes for each test.

--bootstrap <file>
    A "bootstrap" PHP file that is run before the tests.

-c|--configuration <file> Read configuration from XML file.

--no-configuration
    Ignore default configuration file (phpunit.xml).

--include-path <path(s)>
    Prepend PHP's include_path with given path(s).

-d key[=value]
    Sets a php.ini value.

-h|--help
    Prints this usage information.

--version
    Prints the version and exits.

SEE ALSO
The full documentation for PHPUnit is maintained as a Texinfo manual. If the info and PHPUnit programs are properly installed at your site, the command

    info PHPUnit

should give you access to the complete manual.